PDF::API2::Resource::ExtGState(3p)

NAME
PDF::API2::Resource::ExtGState - Graphics state dictionary support

METHODS

$egs = PDF::API2::Resource::ExtGState->new @parameters
    Returns a new extgstate object (called from $pdf->egstate).

$egs->strokeadjust $boolean
$egs->strokeoverprint $boolean
$egs->filloverprint $boolean
$egs->overprintmode $num
$egs->blackgeneration $obj
$egs->blackgeneration2 $obj
$egs->undercolorremoval $obj
$egs->undercolorremoval2 $obj
$egs->transfer $obj
$egs->transfer2 $obj
$egs->halftone $obj
$egs->halftonephase $obj
$egs->smoothness $num
$egs->font $font, $size
$egs->linewidth $size
$egs->linecap $cap
$egs->linejoin $join
$egs->miterlimit $limit
$egs->dash @dash
$egs->flatness $flat
$egs->renderingintent $intentName
$egs->strokealpha $alpha
    The current stroking alpha constant, specifying the constant shape or constant opacity value to be used for stroking operations in the transparent imaging model.

$egs->fillalpha $alpha
    Same as strokealpha, but for nonstroking operations.

$egs->blendmode $blendname
$egs->blendmode $blendfunctionobj
    The current blend mode to be used in the transparent imaging model.

$egs->alphaisshape $boolean
    The alpha source flag (alpha is shape), specifying whether the current soft mask and alpha constant are to be interpreted as shape values (true) or opacity values (false).

$egs->textknockout $boolean
    The text knockout flag, which determines the behavior of overlapping glyphs within a text object in the transparent imaging model.

$egs->transparency $t
    The graphics transparency, with 0 being fully opaque and 1 being fully transparent. This is a convenience method setting proper values for strokealpha and fillalpha.

$egs->opacity $op
    The graphics opacity , with 1 being fully opaque and 0 being fully transparent. This is a convenience method setting proper values for strokealpha and fillalpha.